// variables
  --input-background
  --input-color

  --input-font-size
  --input-height

  --spacing

  --input-focus-background
  --input-focus-color

input
  flex: 1
  border: 1px solid transparent
  border-radius: 0
  background: var( --input-background )
  color: var( --input-color )

  font-size: var( --input-font-size )
  height: var( --input-height )

  padding: 0 var( --spacing )

  &:focus
    background: var( --input-focus-background )
    color: var( --input-focus-color )
